TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

RepresentationMatrix ( elt-ord^num a, rng R ) -> elt-alg^mat

### Description

<shortdoc> The representation matrix of a over the field of fractions of its coefficient order or R if given, giving the linear map of multiplying by a. </shortdoc>

### Examples

x_o := MaximalOrder(X^4+5); x_a := Element(x_o,[1,2,3,4]); RepresentationMatrix(x_a, Z);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack